Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class InputControlsFlowValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.InputControlsFlowValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class InputControlsFlowValidator

extends java.lang.Object
implements org.springframework.validation.Validator

Constructor Summary
`InputControlsFlowValidator()`

Method Summary
`void` | `dataTypeDetails(InputControlWrapper dto, org.springframework.validation.Errors errors)`
`RepositoryService` | `getRepository()`
`void` | `listOfValueDetails(InputControlWrapper dto, org.springframework.validation.Errors errors)`
`void` | `queryDetails(InputControlWrapper dto, org.springframework.validation.Errors errors)`
`void` | `setRepository(RepositoryService repository)`
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object arg0, org.springframework.validation.Errors arg1)`
`void` | `validateAddValue(InputControlWrapper dto, org.springframework.validation.Errors errors)`
`void` | `validateAddValueColumn(InputControlWrapper dto, org.springframework.validation.Errors errors)`
`void` | `validateAddVisibleColumn(InputControlWrapper dto, org.springframework.validation.Errors errors)`
`void` | `validateControlNaming(InputControlWrapper dto, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputControlsFlowValidator

    public InputControlsFlowValidator()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validate

    public void validate(java.lang.Object arg0,
                         org.springframework.validation.Errors arg1)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validateControlNaming

    public void validateControlNaming(InputControlWrapper dto,
                                      org.springframework.validation.Errors errors)

### dataTypeDetails

    public void dataTypeDetails(InputControlWrapper dto,
                                org.springframework.validation.Errors errors)

### queryDetails

    public void queryDetails(InputControlWrapper dto,
                             org.springframework.validation.Errors errors)

### listOfValueDetails

    public void listOfValueDetails(InputControlWrapper dto,
                                   org.springframework.validation.Errors errors)

### validateAddValue

    public void validateAddValue(InputControlWrapper dto,
                                 org.springframework.validation.Errors errors)

### validateAddVisibleColumn

    public void validateAddVisibleColumn(InputControlWrapper dto,
                                         org.springframework.validation.Errors errors)

### validateAddValueColumn

    public void validateAddValueColumn(InputControlWrapper dto,
                                       org.springframework.validation.Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.